<mat-icon class="pendingMenu-icon" color="warn" [matMenuTriggerFor]="priorSupportiveAction">
  more_vert
</mat-icon>
<mat-menu #priorSupportiveAction="matMenu">
  <button mat-menu-item routerLink="/ds/assignment-history/{{selectedApplicationID}}">
      Assignment History
  </button>
  <button mat-menu-item (click)="onClientCaseFolder()" [disabled]="!isClientCaseFolder">
      Client Case Folder
  </button>
  <button mat-menu-item (click)="unAssign()" *ngIf="status != 'Un-Assigned'">
      Un Assign
  </button>
</mat-menu>